{ pkgs ? import <nixpkgs> {},
  nightingale-pkgs ? import (fetchTarball "https://github.com/NixOS/nixpkgs/archive/f7949198dcff52265b322ca8abf7450610e7e49e.tar.gz") {},
  unstable ? import (fetchTarball "https://github.com/NixOS/nixpkgs/archive/nixos-unstable.tar.gz") {}
}:

pkgs.mkShell {
  buildInputs = with pkgs; [
    nightingale-pkgs.docker-compose
    nodejs-16_x
    unstable.deno
    nodePackages.json
    nodePackages.triton
  ];

  shellHook = ''
    eval "$(triton env --triton)"
  '';
}
